%define upstream_name    HTML-Toc
%define upstream_version 1.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Generate, insert and update HTML Table of Contents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     http://cpan.cpantesters.org/authors/id/S/SR/SREZIC/patches/HTML-Toc-1.12-RT115109.patch

BuildRequires: perl(HTML::Parser)
BuildRequires: perl(Test::Differences)
BuildArch: noarch


%description
Generate, insert and update HTML Table of Contents (ToC).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.120.0-12.mga10
+ Revision: 2203983
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.120.0-11.mga9
+ Revision: 1809402
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-10.mga8
+ Revision: 1504639
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.120.0-9.mga7
+ Revision: 1283978
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 tv <tv> 1.120.0-8.mga7
+ Revision: 1169037
- patch 0: fix build due to bad regexp

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-7.mga6
+ Revision: 1028388
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.120.0-6.mga6
+ Revision: 946474
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-5.mga5
+ Revision: 749866
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-4.mga5
+ Revision: 684980
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.120.0-3.mga4
+ Revision: 512087
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-2.mga3
+ Revision: 368176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 26350
- mageia rebuild
- imported package perl-HTML-Toc

